Index: TODO
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/doc/TODO,v
retrieving revision 1.377
diff -u -r1.377 TODO
--- TODO	2001/02/09 17:37:49	1.377
+++ TODO	2001/02/09 18:40:25
@@ -91,9 +91,6 @@
 * -Allow compression of large fields or a compressed field type
 * -Large objects
 	o -Fix large object mapping scheme, own typeid or reltype (Peter)
-	o -Not to stuff everything as files in a single directory, hash dirs
-	o -Allow large object vacuuming
-	o -Tables that start with xinv confused to be large objects
 * Add IPv6 capability to INET/CIDR types
 * -Fix improper masking of some inet/cidr types 
 * Add conversion function from text to inet
Index: src/sgml/lobj.sgml
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/doc/src/sgml/lobj.sgml,v
retrieving revision 1.15
diff -u -r1.15 lobj.sgml
--- src/sgml/lobj.sgml	2001/01/20 00:05:54	1.15
+++ src/sgml/lobj.sgml	2001/02/09 18:40:25
@@ -39,6 +39,8 @@
     Inversion large objects. (We will use  Inversion  and  large
     objects  interchangeably to mean the same thing in this
     section.)
+    Since <productname>PostgreSQL 7.1</productname> all large objects are placed in
+    one system table called pg_largeobject.
    </para>
   </sect1>
 
@@ -50,7 +52,9 @@
     objects  up  into  "chunks"  and  stores  the chunks in
     tuples in the database.  A B-tree index guarantees fast
     searches for the correct chunk number when doing random
-    access reads and writes.
+    access reads and writes. Having all large objects in one
+    table insures transaction safety for creating, and removing
+    of large objects.
    </para>
   </sect1>
 
